Package: org.codehaus.groovy.runtime

## [Java] Class GroovyCategorySupport.CategoryMethodList

- org.codehaus.groovy.runtime.GroovyCategorySupport.CategoryMethodList

-     public static class GroovyCategorySupport.CategoryMethodList
      extends ArrayList

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `int` | `level` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CategoryMethodList(String name, int level, CategoryMethodList previous)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `add(CategoryMethod o)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ArrayList` | `add, add, addAll, addAll, clear, clone, contains, containsAll, ensureCapacity, equals, forEach, get, getClass, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, notify, notifyAll, parallelStream, remove, remove, removeAll, removeIf, replaceAll, retainAll, set, size, sort, spliterator, stream, subList, toArray, toArray, toArray, toString, trimToSize, wait, wait, wait`

- - ### Field Detail

    - #### public final int level

  - ### Constructor Detail

    - #### public CategoryMethodList(String name, int level, CategoryMethodList previous)

  - ### Method Detail

    - #### @Override
      public boolean add(CategoryMethod o)